#ifndef CONFIGMANAGER_H_HEADER_INCLUDED
#define CONFIGMANAGER_H_HEADER_INCLUDED

#include <string>
using namespace std;

#include "FileReader.h"
#include "FileWriter.h"
#include "Utility.h"


class ConfigManager {

	public:
		string initialize;
		string wordListFilePath;
		string hashTableFilePath;
		string bigramMatrixFilePath;
		string bigramPLFilePath;
		string unigramListsFilePath;
		string unigramPLFilePath;
		string urduAlphabetFilePath;
		string soundexFilePath;
		string shapexFilePath;

		bool Initialize();
		bool writeConfig();

		void Clear(); 
		
		~ConfigManager();

};

#endif